# ---
# ## used by gem2rpm
# :summary: this is a custom summary
# ## used by gem2rpm
# :description: |-
#   this is a custom description
#
#   it can be multiline
# ## used by gem2rpm
# :license: MIT or Ruby
# ## used by gem2rpm and gem_packages
# :version_suffix: -x_y
# ## used by gem2rpm
# :preamble: |-
#   BuildRequires: foobar
#   Requires: foobar
# ## used by gem2rpm
# :patches:
# - foo.patch: -p1
#   bar.patch: 
# ## used by gem2rpm
# :patches:
# - foo.deskto
# - bar.deskto
# :gem_install_args: '....'
# ## used by gem2rpm
# :pre_install: |-
#   %if 0%{?use_system_libev}
#   export USE_VENDORED_LIBEV="no"
#   %endif
# ## used by gem2rpm
# :post_install: |-
#   # delete custom files here or do other fancy stuff
#   install -D -m 0644 %{S:1} %{buildroot}%{_bindir}/gem2rpm-opensuse
# ## used by gem_packages
# :main:
#   :preamble: |-
#     Requires: util-linux
#     Recommends: pwgen
#   :filelist: |-
#     /usr/bin/gem2rpm-opensuse
# ## used by gem_packages
# :custom:
#   apache:
#     :preamble: |-
#       Requires: .....
#     :filelist: |-
#       /etc/apache2/conf.d/passenger.conf
#     :summary: Custom summary is optional
#     :description: |-
#       Custom description is optional
#
#       bar
---
:preamble: |-
  BuildRequires:  libxml2-devel
  BuildRequires:  libxslt-devel
  BuildRequires:  %{rubygem mini_portile}
:patches:
  000-CVE-2019-5477.patch: -p1
  001-test-equality.patch: -p1
  002-CVE-2020-26247.patch: -p1
  003-CVE-2022-24836.patch: -p1
  004_CVE-2022-29181.patch: -p1
:pre_install: |-
  export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
:post_install: |-
  rm -rf %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ports
